Loading...
Searching...
No Matches
BALL::ExpressionPredicate Class Reference
Kernel Classes » Kernel Predicates

`#include <BALL/KERNEL/expressionPredicate.h>`

Inheritance diagram for BALL::ExpressionPredicate:

## Public Member Functions

Constructors and Destructor.
| ExpressionPredicate ()
| ExpressionPredicate (const ExpressionPredicate &predicate)
| ExpressionPredicate (const String &argument)
virtual | ~ExpressionPredicate ()
Assignment
ExpressionPredicate & | operator= (const ExpressionPredicate &predicate)
virtual void | clear ()
Predicates
bool | operator== (const ExpressionPredicate &predicate) const
Public Member Functions inherited from BALL::UnaryPredicate< Atom >
virtual | ~UnaryPredicate ()
virtual bool | operator() (const Atom &) const

## Accessors.

String | argument_
virtual bool | operator() (const Atom &atom) const
virtual void | setArgument (const String &argument)
const String & | getArgument () const

## Detailed Description

ExpressionPredicate. The base class for all kernel predicates (defined in BALL/KERNEL/standardPredicates.h and used by Expression . You have to derive your own predicate classes from this class if you want to use (and register) them with Expression .

See also
  Expression

Definition at line 25 of file expressionPredicate.h.

## Constructor & Destructor Documentation

## ExpressionPredicate() [1/3]

BALL::ExpressionPredicate::ExpressionPredicate | ( |  | ) |

Default Constructor

## ExpressionPredicate() [2/3]

BALL::ExpressionPredicate::ExpressionPredicate | ( | const ExpressionPredicate & | predicate | ) |

Copy constructor

## ExpressionPredicate() [3/3]

BALL::ExpressionPredicate::ExpressionPredicate | ( | const String & | argument | ) |

Detailed Constructor. Construct an ExpressionPredicate with a string.

Parameters

  argument | the argument to use for this predicate

## ~ExpressionPredicate()

virtual BALL::ExpressionPredicate::~ExpressionPredicate | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::ExpressionPredicate::clear | ( |  | ) |

virtual

Clear method

Reimplemented in BALL::ConnectedToPredicate.

## getArgument()

const String & BALL::ExpressionPredicate::getArgument | ( |  | ) | const

Get the argument of an ExpressionPredicate

Returns
  the argument of the expression

## operator()()

virtual bool BALL::ExpressionPredicate::operator() | ( | const Atom & | atom | ) | const

virtual

evaluate this ExpressionPredicate by comparing its argument with the selected predicate of atom.

Parameters

  atom | the atom to compare with

Reimplemented in BALL::AromaticBondsPredicate, BALL::AtomNamePredicate, BALL::AtomTypePredicate, BALL::AxialPredicate, BALL::BackBonePredicate, BALL::ChainPredicate, BALL::ChargePredicate, BALL::Conformation4C1Predicate, BALL::ConnectedToPredicate, BALL::DoubleBondsPredicate, BALL::ElementPredicate, BALL::FalsePredicate, BALL::InRingPredicate, BALL::MoleculePredicate, BALL::NucleicAcidPredicate, BALL::NucleotidePredicate, BALL::NumberOfBondsPredicate, BALL::ProteinPredicate, BALL::ResidueIDPredicate, BALL::ResiduePredicate, BALL::SecondaryStructurePredicate, BALL::SelectedPredicate, BALL::SingleBondsPredicate, BALL::SMARTSPredicate, BALL::SolventPredicate, BALL::Sp2HybridizedPredicate, BALL::Sp3HybridizedPredicate, BALL::SpHybridizedPredicate, BALL::TripleBondsPredicate, and BALL::TruePredicate.

## operator=()

ExpressionPredicate & BALL::ExpressionPredicate::operator= | ( | const ExpressionPredicate & | predicate | ) |

Assignment operator

## operator==()

bool BALL::ExpressionPredicate::operator== | ( | const ExpressionPredicate & | predicate | ) | const

Equality operator

## setArgument()

virtual void BALL::ExpressionPredicate::setArgument | ( | const String & | argument | ) |

virtual

set the Argument of this ExpressionPredicate

Parameters

  argument | the string to use for this predicate

Reimplemented in BALL::ConnectedToPredicate.

## Member Data Documentation

## argument_

String BALL::ExpressionPredicate::argument_

protected

Definition at line 103 of file expressionPredicate.h.